package com.sheep.gamegroup.model.entity;

/**
 * Created by realicing on 2018/9/4.
 * realicing@sina.com
 * Amount	number($double)
 * 金额
 * <p>
 * ConsumptionAmount	number($double)
 * 消费金额
 * <p>
 * CreateTime	integer($int64)
 * 记录时间
 * <p>
 * GameId	string
 * 游戏id
 * <p>
 * Id	integer($int64)
 * SurplusAmount	number($double)
 * 消费金额
 * <p>
 * Type	integer($int32)
 * 1：增加 2：扣除
 * <p>
 * UserId	integer($int64)
 * 用户id
 */
public class VoucherRecord {

    private int Id;

    private int Type;

    private float Amount;

    private long CreateTime;

    private int UserId;

    private String GameId;

    private float ConsumptionAmount;

    private float SurplusAmount;

    public int getId() {
        return Id;
    }

    public void setId(int id) {
        Id = id;
    }

    public int getType() {
        return Type;
    }

    public void setType(int type) {
        Type = type;
    }

    public float getAmount() {
        return Amount;
    }

    public void setAmount(float amount) {
        Amount = amount;
    }

    public long getCreateTime() {
        return CreateTime;
    }

    public void setCreateTime(long createTime) {
        CreateTime = createTime;
    }

    public int getUserId() {
        return UserId;
    }

    public void setUserId(int userId) {
        UserId = userId;
    }

    public String getGameId() {
        return GameId;
    }

    public void setGameId(String gameId) {
        GameId = gameId;
    }

    public float getConsumptionAmount() {
        return ConsumptionAmount;
    }

    public void setConsumptionAmount(float consumptionAmount) {
        ConsumptionAmount = consumptionAmount;
    }

    public float getSurplusAmount() {
        return SurplusAmount;
    }

    public void setSurplusAmount(float surplusAmount) {
        SurplusAmount = surplusAmount;
    }
}
